:root{
    --dark-green: #007f32;
    --light-green: #effaec;
    --light-green2: #d7ece1;
    --font-color: #595A68;
    --font-color2: #2F3146;
    --font-color3: #B9BAC5;
    --background-gray: #FBF9F9;
    --background-gray2: #F4F4FA;
    --wp--preset--font-family--body: Montserrat;
    --bs-body-color: var(--font-color);
}
h2, h4 {
    color: var(--font-color2);
}
h4 {
    font-size: 20px;
    font-weight: 400;
    line-height: 28px;
}
.new-home{
    position: relative;
}
.margin-0{
    margin: 0;
}
.mt-40{
    margin-top:40px!important;
}
.mt-30 {
    margin-top:30px!important;
}
.container2{
    margin: 0px auto!important;
    margin-bottom: 0;
  }
  .container2 img{
    width:100%;
    border-radius: 8px;
  }
  @media (max-width: 360px) {
    .container2{
      padding: 0 10px!important;
    }
}
@media (max-width: 600px) {
    .container2{
      padding: 0px 10px 0px!important;
    }
  }
@media (max-width: 780px) {
    .container2{
      max-width: 720px;
      margin:auto 14px!important;
    }
    .sub-category-left {
        margin: auto -3% !important;
    }
  }

@media (min-width:768px){
    .container2{
        max-width: 720px;
    };
}
@media (min-width:960px){
    .container2{
        max-width: 960px;
    };
}
@media (min-width:1200px){
    .container2{
        max-width: 1140px;
    };
}
@media (min-width: 1200px) {
    .container2{
      width: 1288px;
      max-width: 1140px;
    }
}
@media (min-width: 1400px) {
    .container2{
      max-width: 1320px;
    }
}
/* NEW MENU */
.close-green-container{
    display: none;
    z-index: 4;
    position: fixed;
    top:0;
    left:0;
    right:50px;
    justify-content: space-between;
    padding: 20px;
    background-color: white;
}
@media all and (max-width:1280px){

    #baza-menu>.menu-item-has-children>a::after{
        background-image: url(./new-icons/arrows-right.svg);
    }
    #baza-menu .bw-category-container li{
        height: inherit;
    }
    .menu-baza-wiedzy-container{
        position: relative;
    }
    .menu-baza-wiedzy-container::after{
        background:  var(--dark-green);
        position: absolute;
        content: '';
        bottom:35px;
        left:20px;
        right:20px;
        height: 1px;
    }
    #tag-doc-ans .three-category-button{
        margin-top: 20px;
    }
    .menu-baza-wiedzy-zielone-menu-container{
        position: relative;
    }
    .menu-baza-wiedzy-zielone-menu-container::after{
        background:  var(--dark-green);
        position: absolute;
        content: '';
        bottom:35px;
        left:20px;
        right:20px;
        height: 1px;
    }
    .menu-bw{
        display: flex;
        flex-direction: column;
        padding:0px 16px 16px 45px;
        gap:16px;
    }
    #container-bw>.mobile-menu>.menu-drugie-container>#menu-drugie-1{
        padding:16px 16px 0px 16px; 
    }
    #container-bw>.mobile-menu>.menu-drugie-container>#menu-drugie-1::after{
        background: none;
    }
    .menu-bw>li>a{
        color:var(--font-color);
    }
    #menu-drugie-1>li>svg{
        margin-left:5px;
    }
    .close-green-container>p{
        margin:auto;
        font-weight: bold;
        color:var(--font-color2);
        padding-left:10px;
    }
    .bw-category-container{
        background-color: white;
            position: fixed!important;
            overflow: scroll;
            top: 50px;
            left: 0px;
            right: 0px;
            bottom: 0;
            z-index: 2;
            border-radius: none;
            column-count: 2;
            padding-top:30px;
            columns:2;
            padding-bottom: 20px!important;
            gap:15px;
            display: block;
    }
    .bw-category-container>li{
        margin-bottom:20px!important;
    }
    #comp-baza-menu{
        display: none;
    }


}
@media all and (min-width:1281px){
    .menu-baza-wiedzy-container{
        position: relative;
    }
    .wrapper-green-menu>#header{
        border-bottom: none;
    }
    .comp-green-container{
        display: flex;
        left:0;
        top:-4px;
        right: 0;
        gap:30px;
        position: absolute;
        background-color: var(--light-green2);
        border-radius:8px 8px 0 0;
        padding: 15px 24px 10px;
    }
    .second-menu{
        position: relative;
    }
    #comp-baza-menu>.menu-item-has-children:hover{
        margin-left:-2px;
    }
    #comp-baza-menu>li>ul>li>a:hover{
        color:var(--dark-green);
        font-weight: 600;

    }
    #comp-baza-menu>.menu-item-has-children >.sub-menu{
        z-index: 3;
    }
    #comp-baza-menu>.menu-item-has-children:hover>.sub-menu{
        display: flex;
        flex-direction: column;
        flex-wrap: wrap;
        max-height: 350px;
        top:36px;
        padding-top:40px;
        left:0;
        right:0;
        border-radius: 0 0 8px 8px;
        background-color: var(--light-green2);
    }
    #comp-baza-menu>.menu-item-has-children>.sub-menu::after{
        content: '';
        left:0;
        right:0;
        top:18px;
        height:1px;
        background: var(--dark-green);
        position: absolute;
    }
    #comp-baza-menu>.menu-item-has-children>.sub-menu>li{
        margin-bottom: 12px!important;
    }
    .green-container{
        position: relative;
    }
}

.belka_title,
.belka_desc {
    color: #fff;
    align-self: flex-start;
}
.belka_title {
    font-weight: 500;
}
.wp-block-button__link {
    box-sizing: border-box;
    cursor: pointer;
    display: inline-block;
    text-align: center;
    word-break: break-word;
    background-color: #F6F6F6;
    color: var(--wp--preset--color--contrast);
}

.return-breadcrumb.container {
    margin-top: 10px;
}
.return-breadcrumb>a {
    color: var(--font-color2);
}


.owl-prev>span{
    display: none;
  }
  .owl-dots{
      display: flex;
      gap:10px;
      justify-content: center;
      width:100%;
  }
  .owl-dot{
      width:15px;
      height: 4px;
      border-radius: 3px;
      background-color: #D6EBD3!important;
  }
  .owl-dots>.active{
      width:50px;
      background-color: var(--dark-green)!important;
  }


.my-loop>ul>div>div>div>li>figure>a img{
    height: 215px;
    object-fit: cover;
    border-radius: 8px;
}
.my-loop>ul>div>div>div>li>div>time{
    color:var(--font-color3);
    font-size: 12px;
    line-height: 16px;
}
.my-loop>ul>div>div>div>li>h2{
    font-size: 20px;
    line-height: 28px;
    color:var(--font-color2);
    font-weight: 500;
}
.mag-loop>ul>div>div>div>li>figure>a img{
    height: 215px;
    object-fit: cover;
    border-radius: 8px;
}
.mag-loop>ul>div>div>div>li>div>time{
    color:var(--font-color3);
    font-size: 12px;
    line-height: 16px;
}
.mag-loop>ul>div>div>div>li>h2{
    font-size: 20px;
    line-height: 28px;
    color:var(--font-color2);
    font-weight: 500;
}

#calc-loop-2 h2>a{
    font-size: 20px;
    line-height: 28px;
    color:var(--font-color2);
    font-weight: 500;
    display: block;
}
.my-loop>ul>div>div>div>li>.wp-block-post-excerpt>p{
    font-size: 14px;
    line-height: 18px;
    color:var(--font-color);
    font-weight: 400;
}
.mag-loop>ul>div>div>div>li>.wp-block-post-excerpt>p{
    font-size: 14px;
    line-height: 18px;
    color:var(--font-color);
    font-weight: 400;
}

.my-loop2>ul>li>figure img{
    height: 215px;
    object-fit: cover;
    border-radius: 8px;
    width:100%;
}
.inline-block{
    display: block!important;
}
.question-doc{
    padding:20px 0;
}
.mag-loop li{
    list-style: none;
}
.owl-mag{
    margin:0;
    padding:0;
}

.previous-editions-section {
    display: flex;
    flex-direction: column;
    gap: 24px;
}

.previous-editions-section h2 {
    font-size: 32px;
    line-height: 40px;
    font-weight: 500;
    color: #2F3146;
}

.previous-editions {
    display: flex;
    gap: 16px;
    flex-wrap: wrap;
    max-width: 1064px;
    justify-content: center;
}

.previous-editions .single-previous {
    display: none;
    position: relative;
    width: 200px;
    border-radius: 8px;
    box-shadow: 0px 10px 10px 0px #C1BBB10D, 0px 30px 40px 0px #CFC8BC1A, 0px 20px 20px 0px #C8C1B60D;
}

.previous-editions .single-previous figure.previous-thumbnail {
    height: 224px;
    width: 100%;
    margin: 0;
}
.previous-editions .single-previous figure.previous-thumbnail img {
    height: 100%;
    width: 100%;
    object-position: top;
    object-fit: cover;
    border-top-left-radius: 8px;
    border-top-right-radius: 8px;
}
.previous-editions .single-previous figure.previous-icon {
    display: flex;
    height: 40px;
    width: 40px;
    border: 1px solid #007F32;
    background-color: #fff;
    border-radius: 40px;
    position: absolute;
    top: 176px;
    right: 8px;
}
.previous-editions .single-previous figure.previous-icon img {
    margin: auto;
    height: 16px;
    width: 16px;
}
.previous-editions .single-previous p {
    padding: 12px;
    margin: 0;
    font-size: 16px;
    line-height: 22px;
    color: #595A68;
}
.previous-editions .single-previous p span {
    font-size: 14px;
    line-height: 18px;
    color: #007F32;
    font-weight: 600;
}
.previous-editions-section .show-next-previous {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 8px;
    width: fit-content;
    white-space: nowrap;
    border: none;
    background: transparent;
    font-weight: 600;
    font-size: 16px;
    line-height: 24px;
    color: #007F32;
}
.previous-editions-section .show-next-previous img {
    width: 24px;
    height: 24px;
}
@media screen and (max-width: 699px) {
    
    .previous-editions .single-previous {
        height: 230px;
        width: 156px;
    }
    .previous-editions .single-previous figure.previous-thumbnail {
        height: 174px;
    }
    .previous-editions .single-previous p {
        font-size: 14px;
        line-height: 18px;
    }
    .previous-editions .single-previous p span {
        font-size: 12px;
        line-height: 16px;
    }
    .previous-editions .single-previous figure.previous-icon {
        width: 31px;
        height: 31px;
        top: 137px;
    }
}
@media screen and (max-width: 584px) {
    .previous-editions-section {
        gap: 16px;
    }
    .previous-editions-section h2 {
        font-size: 16px;
        line-height: 24px;
        font-weight: 600;
    }
    .previous-editions {
        gap: 8px;
        flex-direction: column;
    }
    .previous-editions-section .show-next-previous {
        font-size: 14px;
        line-height: 22px;
        gap: 4px;
    }
    .previous-editions-section .show-next-previous img {
        width: 16px;
        height: 16px;
    }
}
@media all and (min-width:1024px){
    .my-loop>ul>.owl-nav{
        top:-90px;
        right:0px;
        position: absolute;
    }
    .my-loop>ul>.owl-dots{
        position: absolute;
        bottom:-20px;
    }
    .mag-loop>ul>.owl-nav{
        top:-90px;
        right:0px;
        position: absolute;
    }
    .mag-loop>ul>.owl-dots{
        position: absolute;
        bottom:-20px;
    }
    .my-loop2>ul{
        display: grid;
        grid-template-columns: repeat(2, 1fr);
        gap:20px;
    }
}

/* Strona magazynu------------------------ */
.newspaper-one{
    padding:30px;
    position: relative;
}
.newspaper-one::after{
    content:'';
    top:20%;
    bottom:0;
    left:0;
    width:100%;
    background-color: #FBF9F9;
    border-radius: 8px;
    position: absolute;
    z-index: -1;
}
.newspaper-one img{
    width:100%;
    object-fit: cover;
}
.newspaper-one-text h2{
    font-weight: 600;
    font-size: 20px;
    line-height: 28px;
    color: var(--font-color2);
    margin-bottom: 14px;
}
.newspaper-one-text h3{
    font-weight: 400;
    font-size: 16px;
    line-height: 22px;
    color: var(--font-color);
    margin-bottom: 16px;
}
.newspaper-one-text p{
    font-weight: 400;
    font-size: 16px;
    line-height: 22px;
    color: var(--font-color);
    margin: 0;
}
.h2-new-number{
    font-weight: 600;
    font-size: 16px;
    line-height: 24px;
    color:var(--font-color2);
    margin-top: 8px!important;
}
.newspaper-two-text{
    text-align: center;
    padding:20px;
    background-color: #FBF9F9;
    border-radius: 8px;
}
.newspaper-two-text .wp-block-buttons{
    justify-content: center;
}
.newspaper-two img{
    width:100%;
    object-fit: cover;

}
.newspaper-two{
    margin-bottom: 20px;

}
.newspaper-two-text .wp-block-buttons>div>a{
    background-color: white;
    font-weight: 600;
    color: #2F3146;
}
.newspaper-two-text h2{
    font-weight: 500;
    font-size: 20px;
    line-height: 28px;
    color: var(--dark-green);
    margin-bottom: 24px;
}
.newspaper-two-text h3{
    font-weight: 600;
    font-size: 16px;
    line-height: 24px;
    color: var(--font-color2);
    margin-bottom: 16px;
}
.newspaper-two-text p{
    font-weight: 400;
    font-size: 14px;
    line-height: 18px;
    color: var(--font-color);
}
#button-text-green div a{
    color:var(--font-color2);
}
#button-text-white div a{
    color:#FBF9F9;
    background-color: var(--dark-green);
}
.newspaper__contact-form .contact-page__block-one__form:not(:has(#send-form)) {
    padding: 24px 24px 0;
    gap: 0;
}
@media screen and (max-width: 767px) {
    .newspaper__contact-form .contact-page__block-one__form:not(:has(#send-form)) {
        display: flex;
        flex-direction: column;
        align-self: center;
        padding: 16px;
        gap: 16px;
    }
}
.newspaper__contact-form .contact-page__block-one__form form {
    gap: 0;
}
.newspaper__contact-form h2 {
    color: var(--font-color2);
    font-size: 16px;
    font-weight: 600;
    line-height: 24px;
    text-align: center;
    margin-bottom: 24px;
}
.newspaper__contact-form--mobile-title {
    color: #007F32;
    font-size: 16px;
    font-weight: 600;
    line-height: 24px;
    text-align: center;
    margin-bottom: 1px;
}
.newspaper__contact-form:has(div#send-form) .newspaper__contact-form--mobile-title {
    display: none;
}
.newspaper__contact-form:has(div#send-form) h2 {
    display: none;
}
.newspaper__contact-form .contact-page__block-one__send-form {
    box-shadow: unset;
}
.newspaper__contact-form .contact-page__submit-section {
    flex-direction: column;
}
.newspaper__contact-form .contact-form-single .contact-page__star-info {
    width: 100%;
}
.newspaper__contact-form .contact-form-single .contact-page__block-one__form__privacy-link {
    width: 100%;
    justify-content: flex-start;
}
@media all and (min-width: 767px) {
    .newspaper__contact-form {
        margin: 0 14px;
    }
    .newspaper__contact-form .contact-page__block-one__form:not(:has(#send-form)) {
        padding: 40px 32px 12px;
    }
    .newspaper__contact-form .contact-page__block-one__form form {
        gap: 12px;
    }
    .newspaper__contact-form h2 {
        text-align: left;
        color: #007F32;
        line-height: 40px;
        font-size: 32px;
        font-weight: 500;
        margin-bottom: 16px;
    }
    .newspaper__contact-form--mobile-title {
        display: none;
    }
    .newspaper__contact-form .contact-page__submit-section {
        flex-direction: row;
    }
    .newspaper__contact-form .contact-form-single .contact-page__star-info {
        width: 25%;
    }
    .newspaper__contact-form .contact-form-single .contact-page__block-one__form__privacy-link {
        width: 60%;
        justify-content: flex-end;
    }
    .newspaper__contact-form .contact-page__submit-section button {
        margin: auto;
    }
}
@media all and (min-width: 1200px) {
    .newspaper__contact-form {
        margin: 64px 296px 0 !important
    }
}

@media all and (min-width:1024px){
    .newspaper-one{
        display: grid!important;
        grid-template-columns: 66% 1fr;     
    }
    #mag-green-panel{
        display: grid;
        grid-template-columns: 1fr 170px;
    }
    #mag-white-panel{
        display: grid;
        grid-template-columns: 1fr 150px;
    }
    #mag-white-panel .panel-join-us__header,
    #mag-green-panel .panel-join-us__header {
        font-weight: 600;
    }
    #mag-white-panel .panel-join-us__subheader{
        font-weight: 400;
        font-size: 20px;
        line-height: 28px;
        color:var(--font-color2);
    }
    .newspaper-two{
        display: grid!important;
        grid-template-columns: 66% 1fr;
        
    }
    .newspaper-two-img{
        order:1;
    }
    .newspaper-two-img img{
       max-height: 648px;
    }
    .newspaper-two-text{
        order:2;
        display: flex;
        flex-direction: column;
        justify-content: space-between;
    }
    .newspaper-one-text h2{
        font-weight: 500;
        font-size: 40px;
        line-height: 42px;
        color: var(--font-color2);
        margin-bottom: 14px;
    }
    .newspaper-one-text h3{
        font-weight: 400;
        font-size: 20px;
        line-height: 28px;
        color: var(--font-color);
        margin-bottom: 16px;
    }
    .newspaper-one-text p{
        font-weight: 400;
        font-size: 16px;
        line-height: 22px;
        color: var(--font-color);
    }
    .newspaper-one-text{
        padding-right: 120px;
        padding-left:50px;
    }
    .newspaper-one::after{
        content:'';
        top:20%;
        bottom:20%;
        left:0;
        width:100%;
        background-color: #FBF9F9;
        border-radius: 8px;
        position: absolute;
        z-index: -1;
    }
    .newspaper-one-text{
        grid-column: 1/2;
        grid-row: 1/2;
        display: flex;
        flex-direction: column;
        justify-content: center;
    }
    .newspaper-two-text{
        text-align: left;
        padding:30px;
    }

    .newspaper-two-text h3{
        font-weight: 500;
        font-size: 32px;
        line-height: 40px;
        margin-bottom: 16px;
    }
    .newspaper-two-text p{
        font-weight: 400;
        font-size: 14px;
        line-height: 18px;
        color: var(--font-color);
    }
    .newspaper-two-text .wp-block-buttons{
        justify-content:inherit;
    }
    .newspaper-one-img{
        grid-column: 2/3;
        grid-row: 1/2;
    }
    .newspaper-one-img img{
        width:inherit;
        max-height: 400px;
        margin-bottom: 40px;
    }
    .h2-new-number{
        font-weight: 500;
        font-size: 32px;
        line-height: 40px;
        color: var(--font-color2);
    }
   .calc-top-grid>li{
    display: grid;
    grid-template-columns: 1fr 1fr;
    grid-template-rows: 45% 1fr;
    gap:15px;
   }
   #historie #new-tag-all{
    grid-template-columns: repeat(3, 1fr);
   }
   .calc-top-grid>li>figure{
    grid-column: 1/2;
    grid-row: 1/3;
   }
   .calc-top-grid>li>h2{
    grid-column: 2/3;
    grid-row: 1/2;
    margin-top: auto;
    margin-bottom: 0;
   }
   .calc-top-grid>li>div{
    grid-column: 2/3;
    grid-row: 2/3;
   }
}
@media all and (max-width:1023px) {
    #mag-white-panel .panel-join-us__header,
    #mag-green-panel .panel-join-us__header {
        font-weight: 400;
        line-height: 28px;
        font-size: 20px;
    }
    #mag-green-panel .panel-join-us__subheader {
        line-height: 22px;
    }
    #mag-white-panel .panel-join-us__subheader {
        font-size: 14px;
    }
}
@media all and (min-width:1400px){
    .art-container .carousel-counter{
        right:595px;
    }
    .art-container .owl-nav{
        right:440px;
    }
}
@media all and (max-width:780px) {
    .panel-join-us_magazyn>div {
        margin: 0 20px;
    }
    .panel-join-us_magazyn div, .panel-join-us_magazyn a {
        width: 100%;
    }
    .limit-two-lines {
        display: -webkit-box;
        -webkit-box-orient: vertical;
        -webkit-line-clamp: 2; /* Ograniczenie do 2 linii */
        overflow: hidden;
        text-overflow: ellipsis;
        white-space: normal;
    }
    .margin-b-25 {
        margin-bottom: 25px;
    }
}

.owl-item li>div, .owl-item li>h2 {
    margin-left: 10px;
}